import request from "@/utils/request";
const api = "/mosty-api/mosty-jcgl";
//添加绩效考核部门
export const addKhbm = (data) => {
  return request({
    url: api + "/khbm/addKhbm",
    method: "POST",
    data
  });
};
export const getPageList = (params) => {
  return request({
    url: api + "/khbm/getPageList",
    method: "get",
    params
  });
};
// 批量删除
export function delKhbm(data) {
  return request({
    url: api + '/khbm/delKhbm ',
    method: "delete",
    data
  })
}

//修改报备数量
export const editKhbm = (data) => {
  return request({
    url: api + "/khbm/editKhbm",
    method: "POST",
    data
  });
};

//左边树形默认选中数据
export const getAllKhbm = () => {
  return request({
    url: api + `/khbm/getAllKhbm`,
    method: "get",
  });
};
//绩效考核查询借款
export const JXgetPageList = (data) => {
  return request({
    url: api + `/khtj/getPageList`,
    method: "get",
    params: data
  });
};
//弹窗统计
export const getStatistics = (data) => {
  return request({
    url: api + `/khtj/getStatistics`,
    method: "get",
    params: data
  });
};
//指令中心--首页指令周期统计信息
export const zlZqtjxx = (data) => {
  return request({
    url: api + `/tbZlxxtj/zlZqtjxx`,
    method: "get",
    params: data
  });
};

//文件下载
export function downFiles(id) {
  return request({
    url: `/mosty-api/mosty-base/minio/file/download/${id}`,
    method: "get"
  })
};

//导出
export function exportJxkh(data) {
  return request({
    url: `/mosty-api/mosty-jcgl/khtj/export`,
    method: "get",
    params: data,
    responseType:'blob'
  })
};